gmp_scan0
gmp_setbit
GMP Functions
PHP Manual

# gmp_scan1

(PHP 4 >= 4.0.4, PHP 5)

gmp_scan1 — Scan for 1

### Description

int gmp_scan1 ( resource `$a` , int `$start` )

Scans `a` , starting with bit `start` , towards more significant bits, until the first set bit is found.

### Parameters

`a`

  The number to scan.

  It can be either a GMP number resource, or a numeric string given that it is possible to convert the latter to a number.

`start`

  The starting bit.

### Return Values

Returns the index of the found bit, as an integer. If no set bit is found, -1 is returned.

### Examples

Example #1 gmp_scan1() example

`<?php
// "1" bit is found at position 3. index starts at 0
$s1 = gmp_init("01000", 2);
echo gmp_scan1($s1, 0) . "\n";
// "1" bit is found at position 9. index starts at 5
$s2 = gmp_init("01000001111", 2);
echo gmp_scan1($s2, 5) . "\n";
?>`

The above example will output:

    3
    9

gmp_scan0
gmp_setbit
GMP Functions
PHP Manual